package org.zxq.teleri.album

import retrofit2.Call
import retrofit2.http.GET
import retrofit2.http.Path

/**
 * @author JohnFan
 * @date 07/25/2018
 */
interface IAlbumWebService {

    /**
     * 得到从id开始的文件数量，车机文件id是自增的
     *
     * @param token
     * @param id    id
     * @param limit
     * @return
     */
    @GET("api/getAlbumList/{token}/{offset}/{limit}")
    fun getAlbumList(@Path("token") token: String, @Path("offset") id: Int, @Path("limit") limit: Int): Call<AlbumListBean>

    //http://192.168.178.1:3111/file/demo.jpg/SWakN3iT
    @GET("file/{name}/{token}")
    fun getFile(@Path("token") token: String, @Path("name") name: String): Call<ByteArray>
}
