package org.zxq.teleri.collectionaddress.bean

import android.os.Parcel
import android.os.Parcelable
import org.zxq.teleri.core.annotation.NotProguard

/**
 * Created by leixiong on 2018/11/6.
 */
@NotProguard
class  CollectionAddressBean() :Parcelable{

    var  poiName: String=""

    var  poiAddress: String=""

    constructor(parcel: Parcel) : this() {
        poiName = parcel.readString()?:""
        poiAddress = parcel.readString()?:""
    }

    override fun writeToParcel(parcel: Parcel, flags: Int) {
        parcel.writeString(poiName)
        parcel.writeString(poiAddress)
    }

    override fun describeContents(): Int {
        return 0
    }

    companion object CREATOR : Parcelable.Creator<CollectionAddressBean> {
        override fun createFromParcel(parcel: Parcel): CollectionAddressBean {
            return CollectionAddressBean(parcel)
        }

        override fun newArray(size: Int): Array<CollectionAddressBean?> {
            return arrayOfNulls(size)
        }
    }


}