/*
 *
 *  *
 *  *  * **************************************************************************************
 *  *  *  *
 *  *  *  *  Project:        ZXQ
 *  *  *  *
 *  *  *  *  Copyright ©     2014-2018 Banma Technologies Co.,Ltd
 *  *  *  *                  All rights reserved.
 *  *  *  *
 *  *  *  *  This software is supplied only under the terms of a license agreement,
 *  *  *  *  nondisclosure agreement or other written agreement with Banma Technologies
 *  *  *  *  Co.,Ltd. Use, redistribution or other disclosure of any parts of this
 *  *  *  *  software is prohibited except in accordance with the terms of such written
 *  *  *  *  agreement with Banma Technologies Co.,Ltd. This software is confidential
 *  *  *  *  and proprietary information of Banma Technologies Co.,Ltd.
 *  *  *  *
 *  *  *  ***************************************************************************************
 *  *  *  *
 *  *  *  *  Header Name:
 *  *  *  *
 *  *  *  *  General Description: Copyright and file header.
 *  *  *  *
 *  *  *  *  Revision History:
 *  *  *  *                           Modification
 *  *  *  *   Author  Deman.LU        Date(MM/DD/YYYY)   JiraID       Description of Changes
 *  *  *  *
 *  *  *  *
 *  *  *  ***************************************************************************************
 *  *
 *
 */

package org.zxq.teleri.compoentservice.pay

/**
 *   @author     Deman.LU
 *   @date       2019/4/18
 *
 */
interface OnPayResultListener {
    /**
     * success
     */
    fun onPaySucceed()

    /**
     * fail
     */
    fun onPayFailed()

    /**
     * unconfirmed
     */
    fun onPayUnconfirmed()

    /**
     * Canceled
     */
    fun onPayCancled()

    /**
     * Unknown for fail
     */
    fun onPayUnknow()
}