package org.zxq.teleri.homepage.cardetail.viewinter

import io.reactivex.subjects.PublishSubject

/**
 *Created by cyc on 2019/3/28.
 *
 * 首页HomeFragment、CarFragment内的事件通知
 */

object CarEvent {

    /**
     * 首页展示车辆被盗报警
     */
    var showCarDanger: PublishSubject<Boolean> = PublishSubject.create<Boolean>()

    /**
     * 切车等刷新时，让首页的pageSwitcher切换到第一页
     */
    val back2FirstPage: PublishSubject<Boolean> = PublishSubject.create<Boolean>()


    /**
     * 刷新首页地图数据缓存
     */
    val refreshMapCache: PublishSubject<Boolean> = PublishSubject.create<Boolean>()

    /**
     * 通知地图刷新
     */
    val refreshMap: PublishSubject<Boolean> = PublishSubject.create<Boolean>()


    /**
     * 下拉刷新结束
     */
    @JvmStatic
    val pullRefreshComplete: PublishSubject<Boolean> = PublishSubject.create<Boolean>()
}