package org.zxq.teleri.http

import com.ebanma.sdk.core.net.RetrofitUtils
import io.reactivex.Observable
import okhttp3.RequestBody
import retrofit2.http.Body
import retrofit2.http.GET
import retrofit2.http.POST
import retrofit2.http.Url

/**
 * Created by tang.hui on 2020-3-17
 */
interface ApiService {

    companion object {
        @JvmStatic
        var instance: ApiService = RetrofitUtils.create()
    }

    @GET
    fun get(@Url url: String): Observable<String>

    @GET
    fun get(@Url url: String, @Body body: RequestBody): Observable<String>

    @POST
    fun post(@Url url: String): Observable<String>

    @POST
    fun post(@Url url: String, @Body body: RequestBody): Observable<String>


}