package org.zxq.teleri.windvareweb.plugin

import android.os.Parcel
import android.os.Parcelable

/**
 *   @author     Deman.LU
 *   @Date       2019/1/23
 *
 */
data class NavData(var endLat: String?,
                   var endLng: String?,
                   var navMode: String?,
                   var startLat: String?,
                   var startLng: String?) : Parcelable {
    constructor(source: Parcel) : this(
            source.readString(),
            source.readString(),
            source.readString(),
            source.readString(),
            source.readString()
    )

    override fun describeContents() = 0

    override fun writeToParcel(dest: Parcel, flags: Int) = with(dest) {
        writeString(endLat)
        writeString(endLng)
        writeString(navMode)
        writeString(startLat)
        writeString(startLng)
    }

    override fun toString(): String {
        return "NavData(endLat=$endLat, endLng=$endLng, navMode=$navMode, startLat=$startLat, startLng=$startLng)"
    }

    companion object {
        @JvmField
        val CREATOR: Parcelable.Creator<NavData> = object : Parcelable.Creator<NavData> {
            override fun createFromParcel(source: Parcel): NavData = NavData(source)
            override fun newArray(size: Int): Array<NavData?> = arrayOfNulls(size)
        }
    }


}